cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu2.1) trusty-proposed; urgency=medium

  * New 'bug-fix' version to fix 2 bugs (LP: #1329090)
  * debian/patches/bzr1719_unblacklist_intel_hd4000.patch: fixed typo:
    the blacklist was not fully removed.
  * debian/patches/bzr1750_get_preferred_size_has_changed_in_gtk3.10.patch:
    - Menus: use the natural size to retrieve the height of a menu, because
      gtk_widget_get_preferred_size() function has changed in GTK3.10.
      (All GTK menus were no longer at the right position)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 12 Jun 2014 00:35:59 +0200

cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu2) trusty; urgency=medium

  * debian/control:
    - gnome-session is no longer by default on Ubuntu and we need it for
      the Cairo-Dock session
    - Added support of Mate and Cinnamon

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 07 Apr 2014 23:47:42 +0200

cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu1) trusty; urgency=medium

  * Revert back to the 3.3.2 version: (LP: #1302246)
    Unfortunately, due to the lack of time, we have to revert back to the
    latest stable version. Sorry for that but feel free to help us ;-)
  * debian/patches: cherry-pick patches from upstream BZR repo, all 'bug-fix'
    and changes that were already in the 3.3.99.beta1 version except all
    changes linked to the new style, the menu and the configuration.
    - bzr1670_Default_themes_Disable_icon-effects.patch: Default themes:
      disable icon-effects: maybe a bit 'too much' for the current trend
    - bzr1684_Utils_Added_get_default_terminal.patch: Utils: Added:
      'get_default_terminal()' to get the default terminal.
    - bzr1708-1709_Utils_Cmd_with_right_terminal_and_theme_packager_support_
      and_exception_for_konsole.patch: Utils: Cmd with right terminal: added
      an exception for 'konsole'. Theme: Pkg: Cmd: used simple quotes instead
      of double quotes in the second cmd
    - bzr1714_change_default_img_dir_to_Images_dir_in_home.patch: GUI: widget:
      file chooser: images: default directory is now ~/Images
    - bzr1715-1716_File_Mgr_added_the_possibility_to_monitor_a_process.patch:
      File Mgr: added the possibility to monitor a process
    - bzr1719_unblacklist_intel_hd4000.patch: GLX: blacklist Intel HD4000:
      this bug is now fixed when using Mesa 10.1
    - bzr1720_gsettings_can_have_quotes.patch: style: handle the case where
      font_name in gsettings has quotes
  * debian/patches/session_desktopname_Unity.patch: Switch DesktopName to
    Unity to also take advantage of patches added in some GNOME apps and
    specially made for Unity to avoid some behaviour designed only for
    Gnome-Shell (e.g. Nautilus, indicators, etc.).
  * debian/control: bumped Plugins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 06 Apr 2014 23:45:58 +0200

cairo-dock (3.3.99.beta1.1~20140219~bzr1717-0ubuntu2) trusty; urgency=medium

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - Style: unified the style for all objects.
    - Menu: added the possibility to customise them
    - Config: updated some sections linked to the style
    - API:
      - Updated functions about the style
      - Added new features about PID monitoring
    - Some bugs have been fixed, other tweaks
  * debian/control:
    - bumped plug-ins versions (+ fixed typo)
    - bumped Standard Version (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 20 Feb 2014 00:23:22 +0100

cairo-dock (3.3.2-0ubuntu2) trusty; urgency=low

  * No change: Rebuild for the new version of GTK

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 10 Dec 2013 22:54:12 +0100

cairo-dock (3.3.2-0ubuntu1) trusty; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.1 -> 3.3.2)
    - Class: implemented a workaround for Chromium and Google Chrome web apps
    - Docks: fixed 2 bugs when reloading a dock: when changing the
      visibility from 'keep hidden' to 'hide when overlapping a window'
      and when changing the offset from the screen edges
    - Launching animation: don't stop it when the dock hides itself
    - Menus: correctly setup the menu during its init
    - Taskbar:
      - Fixed a regression when the application changes its class
      - Removed 'opening animation' option: now in plugins (Animated-Icons
        and Icon-effect)
    - Translations: imported translations from Launchpad
  * debian/control:
    - bumped plug-ins versions
    - bumped Standards-Version to 3.9.4 (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 10 Nov 2013 23:49:32 +0100

cairo-dock (3.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.0 -> 3.3.1)
    - GLX backend: with GTK2, use the GDK default display for all glx
      functions (without that, the dock is fully transparent)
    - Docks: the input shape was incorrectly set at startup
    - Menu: show the menu-items before popping the menu up, so that they
      are realized (as before)
    - Launchers: Updated our .desktop file with the latest translations
  * debian/control: bumped plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 08 Oct 2013 18:44:04 +0200

cairo-dock (3.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Detailed Upstream ChangeLog (beta 2 -> release)
    - Desklets: when something is dropped onto a desklet, get the data and
      not only the text
    - Dialogs: fixed a bug that made the background of the widgets inside
      the dialog visible
    - Menus: split menus functions into separated files to prepare future
      menus and imported gtkimagemenuitem.c but only used with GTK 3.10
      Note: no changes for Saucy (with GTK 3.8)
    - src: remove some g_print's
    - po: imported translations from Launchpad
  * A few bugs have been fixed:
    - Invalid fastbin entry LP: #1212981
    - Cairo-Dock Session is broken with Gnome-Session 3.8 LP: #1193598
    - Dock doesn't hide when a Downloading windows overlaps LP: #1094825
    - Thumbnails of windows not showing when minimized LP: #1051174
    - Icon label persists after hover away LP: #1108611
    - Insecure RPATH in libgldi.so LP: #1170229
    - Dock becames visible although it should be hidden LP: #1218360
  * debian/control: bumped plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 04 Oct 2013 14:58:22 +0200

cairo-dock (3.2.99.beta2.1~20130919~bzr1630-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
  * Detailed Upstream ChangeLog (rev 1613 -> 1629)
    - Dock: Fixed a possible crash when removing an Icon
    - Cinnamon integration: fixed the 'present_class' method
    - Core: a bit of code cleaning
    - ChangeLog: updated the message
    - Icon: launch command: fixed typo
    - Dock visibility: set the input shape fully transparent when the dock
      is hidden
    - Dock visibility: fixed a regression where the dock didn't re-appear
    - cairo-dock.c: connect to SIGHUP to properly quit when its controlling
      terminal is closed
    - po: updated translations
    - X manager: notify of the 'windows stack order changed' when needed
    - Menu: menu-item with buttons inside: connect to the 'draw' event only
      for the given menu-item
    - Class manager: fixed a crash + fixed the auto-stop of the startup
      notification
  * debian/control: bumped plugins version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 19 Sep 2013 12:15:44 +0200

cairo-dock (3.2.99.beta1.1~20130827~bzr1613-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - Added support of the StartupNotification protocol
    - A huge rewrite of the core using Objects
  * debian/rules:
    - Added DEB_BUILD_PARALLEL flag
  * debian/control:
    - Bumped plugins version
  * debian/patches/:
    - Removed cairo-dock-session_without_fallback_session: fixed by upstream

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 27 Aug 2013 16:38:10 +0200

cairo-dock (3.2.1-0ubuntu2) saucy; urgency=low

  * debian/patches/cairo-dock-session_without_fallback_session.patch:
    - Refreshed to support Gnome-Session 3.8 (bzr upstream patch)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 22 Jun 2013 13:19:03 +0200

cairo-dock (3.2.1-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version) LP: #1168839
  * Detailed Upstream ChangeLog:
    - Dialogues:
      - Fixed a small bug with the default icon
      - Force taking the focus when the dialogue has an user widget, since
        some WM prevent focus steal LP: #531152
    - Gnome-Shell: the dash was hidden all the time
    - GUI:
      - Docks list: only list main docks and subdocks and not launchers and
        applications with subdocks (when there are windows with the same
        class and if these icons are regrouped into a subdock)
      - Menu and GUI: Move to another dock: if it s a container: Do not add
        subdocks that are contained in this container (to avoid loop:
        subdock1->subdock2->subdock1)
      - Simple: Plugins: Help applet was not listed
      - Simple: Config: force displaying the config widget (the config panel
        was empty with some older versions of GTK)
    - Help applet:
      - This applet didn t have any preview icon file
    - Icon:
      - Label: If we don t want to show label, keep info about the font: it
        can be used by other applets (e.g. Clock)
      - Windows thumbnails: fixed a small bug that made the thumbnail
        unavailable the first time the window is minimized
    - Init & Themes: deactivate the option Show Windows Thumbnail in the
      current theme.
      - This option can provoke annoying bugs with other applications the
        desktop (e.g. Gedit or Nautilus displayed corrupted icons when using
        a smooth scroll)
      - It seems this bug is due to the video drivers and it s fixed with
        the latest stable version of these drivers (but which is not
        available with most distributions)
      - Note: It s still possible to re-enable this option from the config
        panel
    - Taskbar: Fixed a possible crash in a convoluted scenario (if there are
      a few untitled windows with the same empty class)
    - X11:
      - Fixed a crash when using Xinerama with multi-monitors
    - Translations: Imported translations files from Launchpad
  * debian/control:
    - Bumped Cairo-Dock Plug-Ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 14 Apr 2013 11:58:46 +0200

cairo-dock (3.2.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Upstream ChangeLog:
    - Enable the Indicator-Generic by default on a Cairo-Dock session under
      Ubuntu
    - Removed the deprecated option 'hide on fullscreen'
    - Task: fixed a bug in cairo_dock_stop_task
    - BSD port: fixed some compilation and linking problems
    - Taskbar: fixed a bug where an icon didn't stop demanding the attention
    - Docks: when changing the alignment of the main dock, correctly update
      the dock
    - Removed the need for pangox (was not used)
    - Drop on container: add URI target before the text target, or we will
      get the link text instead of the link URI in Konqueror (other browsers
      don't have this problem)
    - If an applet crashed the dock when launching it, this applet was
      not blacklisted
    - GUI: fixed a crash in the ModuleWidget class
    - Core: separated gldi-config.h in 2 parts, so that the one that is
      installed doesn't contain any architecture-dependant value
    - po: Imported translations from Launchpad
  * debian/control:
    - Mutter is now better supported by the dock: added on the recommended
      list
  * debian/rules:
    - CMake flag: replaced 'yes' by 'ON'

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 26 Mar 2013 00:01:34 +0100

cairo-dock (3.1.99.rc2.1~20130304~bzr1411-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - Multi-screen support has been improved
    - Added Systemd support for the session management
    - Countless bug-fixes and improvements
  * debian/rules:
    - Removed useless flag (was needed for GTK2)
  * debian/control:
    - XRandr is now used by default instead of Xinerama
    - Bumped Cairo-Dock Plug-Ins versions
  * debian/cairo-dock-core.install:
    - Added all libcd*.so: the 'Help' is now in a separated file.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 04 Mar 2013 23:51:02 +0100

cairo-dock (3.1.2.1-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog:
    - Dialogues Mgr:
      + cairo_dock_set_dialog_message (used by Help): used markup if it's
        needed
      + Fixed 2 bugs when an icon holding a modal dialog is destroyed 
    - GUI:
      + Search for an icon path if the module gives us only the name of its
        icon (e.g. Deluge, Transmission, Menus)
      + Simple: Behavior: Position of the taskbar: 'After a given icon'
        choise was missing 
    - Icon Mgr: removed a now useless static mutex
    - Init:
      + Initialised threads on new versions of GLib (>= 2.24)
      + This should finally fix a crash when opening Logout menu 
    - Help: Used markup for the dialogues
    - Menu: Quit with a Cairo-Dock session: check if it's really the shift key
      which is used to unlock the quit menu entry 
  * debian/control: bumped cairo-dock-plug-ins* versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 06 Dec 2012 18:51:36 +0100

cairo-dock (3.1.1-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream Changelog:
    - Dialogues Mgr: Rewrite blocking dialogue to avoid bug with 'terminal'
      applet
    - GUI
      + Simple:
        + Used the right translation for titles of all main categories and
          description of views
        + With old versions of GTK2 (< 2.22, e.g. on Debian stable or Ubuntu
          Lucid): this config panel had tabs but without any widget inside 
      + Advanced:
        + Widget Items: Invisible modules: displayed the title (which is
          translated) 
    - Icon Mgr:
      + Fixed a crash with the icons theme when it is reloaded
      + Icon was invisible for launchers that are pinned to a given desktop
      + Icons were not correctly sorted (it impacted Shortcuts) 
    - Init: Used dbus_g_thread_init before 'gtk_init' in order to be called
      before the first use of DBus
      + It should fixed a "random" crash when clicking on logout applet. 
    - Help: always check the composite on startup, until the user choose not to
    - Theme: Panel:
      + Added Printers-Menu.conf file (needed to place this applet at the
        right position)
      + Dnd2share: used the new 'busy' animation 
    - Misc.:
      + Compilation libdir: some distro (e.g. Gentoo) use LIB_SUFFIX flag:
        used a specific case for that
      + Updated translations 
  * debian/patches/bzr_translate_titles_of_categories_and_readme.patch:
    - Removed: Now in upstream
  * debian/control:
    - Forced the use of the same version of libgldi3

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 10 Nov 2012 23:52:14 +0100

cairo-dock (3.1.0-0ubuntu2) quantal; urgency=low

  * debian/control:
   - Cairo-Dock plug-ins dependencies: Removed '-0ubuntu1' to allow other
     distros and backports to work smoother (Thanks to Laney!) (LP: #1064130)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 09 Oct 2012 23:36:25 +0200

cairo-dock (3.1.0-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1064130)
   - Even if there are a lot of changes, this is a 'bug-fix' version.
     Changes are big mainly because the translations have been updated and
     a lot of GCC warnings (from -Wall and -Wextra) have been fixed.
  * Upstream ChangeLog (detailed changes since the last version):
   - Only disable drag'n'drop onto the dock when the dock is completely
      locked, not when the icons position is locked.
   - Prevented quicklists for an icon
      (e.g. used by musicPlayer applet to remove double menu entries)
   - Menu: renamed this title: 'Below *other* windows'
     + fixed a typo (bIsMaximized was checked a bit too late)
   - Man: 'A' ('ask-backend') option was missing and 'i' (indirect) is
      no longer supported + for 'colors', used 'F' instead of 'A' which
      is already used by 'ask-backend'
   - When a label is updated, update the drawing accordingly
   - Dialogs: fixed a crash if the dialog was forced above (GTK3)
   - Advanced GUI: fixed a bug that prevented to edit a 2nd instance of
      an applet
      + renamed 'cairo-dock-gui-main.[ch]' to 'cairo-dock-gui-advanced.[ch]'
   - Don't close the dock if no plug-ins are found, just display the message
   - Menu on appli: put the window actions into a single menu-item, which
      avoid having a crowded menu or another sub-menu
   - Default view: use all the screen space to avoid the jitter of the dock
      when it is resized (although this is mainly a problem in the Window
      Managers, unfortunately very few handle the resizing correctly)
   - Locked dock: prevent any modification when the dock is locked
   - Advanced GUI: fixed a small bug when reloading an applet
   - Application manager: handle the case where there is no dock
      (e.g. for cairo-desklet)
   - when starting in maintenance mode, force the use of the advanced
      configuration (easier to fix problem)
   - Compilation: fixed a lot of warnings during the compilation
      (mostly 'unused-variable' and 'unused-parameters' by using
       G_GNUC_UNUSED) when using -Wall and -Wextra
   - GTK3.4: used GtkGrid instead of GtkTable (now deprecated)
   - Labels in vertical dock:
    + fixed the calculation with a helper
    + terminate with a gradation if the label is too large to be fully drawn
    + fixed a small offset in the position of the X icon geometry
   - Indicators: icons was not visible with the Cairo backend if we wanted to
      have an image as indicator of the active window and if we don't give
      any image
   - Fixed a bug in cairo_dock_create_surface_from_pattern
      (when using a pattern as the background image)
   - Themes: Added write rights in the new theme folder
      (if the user has just changed its current theme)
   - OpenGL backend: fixed a small bug in the drawing of always visible icons
   - Fixed a crash when re-inserting an applet into a dock
   - GUI: fixed 2 bugs in the module widget
   - Taskbar: when placing appli icons after launchers, don't count
      separators as launchers
   - When loading an image based on a pattern, constrain the image height,
      so that it only repeats on its width
   - Taskbar: added back the use of _NET_WM_STATE_DEMANDS_ATTENTION
      (this might be used by Skype and therefore solve the bug LP: #1013635)
   - Menu: Window Actions: drawn: Min - Max - Close instead of
      Max - Min - Close + drawn Min and Max only if the window is not hidden
   - Code cleaning: removed a few useless g_print (or used cd_debug instead)
   - Menu: Custom icon: only display images on the file chooser
   - Menu: Custom Icon: do not display the menu entry if bLockAll is defined
      (if the action is useless) + do not stop the action if bLockIcons
   - Widget Items: the main GtkWindow is needed to build other widgets
   - po: imported translations from Launchpad and Added Lithuanian language
   - Options: AskBackend: show the backend even if we force the use of the
      OpenGL backend
   - Help: Help menu entry: this menu entry no longer worked: used
      cairo_dock_show_items_gui like the Edit menu entry
   - Menu: Help menu entry: if we use the simple mode, switch to the advanced
      mode because the help settings are only available there
   - Some cleaning
  * debian/patches/bzr_screens_with_null_dimensions.patch:
   - Removed (now in upstream)
  * Added bzr_translate_titles_of_categories_and_readme from upstream:
   - Translate the titles of all main categories and views' description
  * debian/control:
   - Bumpped Cairo-Dock Plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 09 Oct 2012 02:53:48 +0200

cairo-dock (3.0.99.beta1.1~20120827~bzr1193-0ubuntu2) quantal; urgency=low

  * Added bzr_screens_with_null_dimensions.patch from upstream:
   - Prevent screens with null dimensions: the dock can be invisible if the
     'multi-monitors' option is enabled and a wrong screen is chosen.
   - Try to get dimensions from all screens with XRandr and also with Xinerama
     if there is a problem.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 28 Aug 2012 11:46:13 +0200

cairo-dock (3.0.99.beta1.1~20120827~bzr1193-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
  * Upstream ChangeLog (detailed changes):
   - Task: the thread clean itself to avoid crash
      + fixed a typo with the check of bDiscard
      + cancel: checked if pThread has not been freeed before talking with it
      + converted g_print to cd_debug
      + Cancel the next iteration if 'iPeriod == 0'
   - Added a workaround for Metacity not handling the _NET_WM_OPACITY
      correctly
   - Man: Added the new -W (--metacity-workaround) option
   - XRandr: Use it by default instead of Xinerama which is deprecated
      according to its website
   - XRandr: Checked if 1.1 version is available for basic functions
      (e.g. to change the resolution) and 1.3 version (to replace Xinerama)
   - Xrandr: Added cairo_dock_xrandr_is_available (needed to avoid a crash
      in ShowDesktop applet)
   - Module Mgr: removed GModule dependence (which is no longer used since
      version 2.4)
      + stopped the compilation if 'dl' or 'm' libraries or 'dlfcn.h'
       or 'math.h' are not found
      + linked gldi to 'dl'
   - Progress bar: Cairo Backend: no longer drawn the bar if the value is 0
      (was drawn only on the Cairo backend)
   - Fixed a crash if we launch the dock with '-l debug' and if a module is
      not loaded (e.g. 'integration' modules)
   - include: <librsvg/rsvg-cairo.h> can no longer be included directly
      since LibRSVG 2.36.2
   - Class manager: handle custom .desktop files located in
      ~/.local/share/applications
   - Dialogs: fixed a small offset in the position of a dialog above its
      icon when the dock is hidden
   - Class Mgr: translations of QuickList menus are generally available in
      their Gettext domain (this info is available in the .desktop file)
   - Themes: updated themes folder, defined it in CMakeList.txt
   - Taskbar: fixed a bug that inserted an extra separator when grouping
      applis togather in a sub-dock
   - Menu: moved all window management entries to a submenu
  * debian/control:
   - Bump Cairo-Dock Plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 27 Aug 2012 15:17:48 +0200

cairo-dock (3.0.99.beta1-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Upstream ChangeLog (main changes):
   - Better integration of Unity: support of the Launcher API and better
      support of indicators
   - All configuration windows have been merged into a single one.
   - Added progress bars in several applets and in the Dbus API
   - The Music Player applet can control players in the systray.
   - Icons of the taskbar can be separated from launchers or not
   - And as always ... various bug fixes and improvements :-)
  * Fixed a few bugs reported on Launchpad:
   - A crash with logout applet (LP: #1033190)
   - Shortcuts do not accept Control key entries (LP: #1007539)
  * debian/custom_cairo-dock_badge.png, debian/source/include-binaries:
   - Added a badge for LightDM (LP: #987247)
  * debian/patches/cairo-dock-session_without_fallback_session.patch,
    debian/cairo-dock-data.install:
   - Only installed 'Cairo-Dock' session without Unity-2D and Metacity support
      due to the suppression of Unity-2D and the use of llvmpipe
   - Renamed 'Cairo-Dock (Gnome + Effects)' to 'Cairo-Dock (GNOME)'
  * debian/control:
   - Added a new suggested dependence for cairo-dock-core: gnome-session
   - Updated my email address
  * debian: Used 'wrap-and-sort' tool

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 19 Aug 2012 00:15:54 +0200

cairo-dock (3.0.2-0ubuntu2) quantal; urgency=low

  * debian/apport/cairo-dock.py: ported to python3 (LP: #1013171)
     Thanks to Edward Donovan for the patch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 26 Jun 2012 12:50:23 +0200

cairo-dock (3.0.2-0ubuntu1) quantal; urgency=low

  * New upstream bug-fix release. (LP: #1014801)
  * Upstream ChangeLog (3.0.0 -> 3.0.1):
   - Dialogs: fixed a bug where the dock could auto-hide when a modal dialog
      was raised
   - Dialog: fixed a crash with gcc-4.7: the local variable can be corrupted
      due to optimisations
   - Fixed a bug where the dock didn't accept clicks when the mouse touches
      the screen edge (with auto-hide)
   - Added a compilation option to not force the display of icons in menus
      (design request but disable by default)
   - Fixed a bug where the hidden dock background color was not updated
      properly
   - Class-Manager: fixed a bug with Windows applications whose name is in
      upper case (.EXE)
   - GUI: use cairo_dock_get_xwindow_class to link a program with a launcher
   - French translations: fixed 2 small errors
  * Upstream ChangeLog (3.0.1 -> 3.0.2):
   - Main GUI: Fixed a crash when hovering group buttons too quickly
   - Main GUI: The dialog and preview didn't appear when hovering the button
   - Accelerators: On recent distro, 'Control' key is now called 'Primary'
   - Icon Mgr: Added a mutex because of occasional crashes with
      gtk_icon_theme_lookup_icon
   - Icon Mgr: Don't call a 'change-icon' callback when clicking or scrolling
      on an icon, and trigger an unneeded animation on the icon
   - Dock Mgr: Avoid emitting an 'enter' event when not needed
   - Class Mgr: Fixed 2 typos (special case for kdesu and not kdes)
   - Class Mgr: Remove launching options (%U) in quick-list Exec command
      (LP: #1002691)
   - Dialogues: Prevent closing the dialog unexpectedly when clicking on it,
      if the click is actually inside the interactive widget
   - Background: When set to 'always visible', applets' background couldn't
      be turned off
   - Added a workaround for the Unity-panel which has a wrong window type
   - po: Updated translations
  * debian/patches:
   - Removed all patches (now in upstream)
  * debian/cairo-dock-data:
   - Removed a lintian warning by added symlinks (binary-without-manpage)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 23 Jun 2012 14:25:10 -0400

cairo-dock (3.0.0.1-0ubuntu2) quantal; urgency=low

  * debian/patches/01-bzr_dock-s_menu.patch: don't hide the dock if it's raised
    and don't try to check if the mouse has left the dock if the menu is raised
    (LP: #988102)
   - It's an uptream patch (lp:cairo-dock-core/3.0 - rev 1070)
  * debian/patches/02-bzr_fixed_compilation_error.patch:
   - Fixed a compilation error with GLib >= 2.33

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 25 Apr 2012 01:29:46 +0200

cairo-dock (3.0.0.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #983288)
  * Upstream ChangeLog:
   - Updated translations
   - Themes: Renamed the default theme and move it to the new 'themes' directory
   - Included here our default-panel theme from our server in order to use this
      theme without an Internet connexion
      (this theme is highly recommended for the Cairo-Dock' session)
   - Moved 'battery' to cairo-dock-plug-ins
   - Theme manager: fixed the preview made when the current theme is saved
   - Fixed a bug with icons that are always visible
      (their alpha was not reseted correctly)
   - Fixed a bug that prevented the dock from hiding when leaving
      and re-entering quickly
   - Containers: set opacity to 0 on creation, so that we don't get grey
      rectangles on loading (before we receive the first X Expose event)
      + increase the size of default windows to avoid invisible icons LP: #960282
   - When destroying a flying container, don't forget to detach the icon
   - Removed prints
   - Pango: only used the logical rectangle in order to avoid any deplacements
   - Draw: Icons always visible: limit the background margin to 1px, avoid
      icons to stick togather
   - Menu: disabled the Quit menu entry for all Cairo-Dock sessions
      (not only 'cairo-dock')
   - cairo-dock-session: only modify Compiz settings if '--replace' paramater
      is given
   - don't launch 'cairo-dock' if Cairo-Dock is already use only by current user
   - Session: Used shorter names
      (was too long for DM and we were not able to read the full name)
   - Used IsRunnableHelper to check if compiz can be launched or we have to
      use metacity (on Ubuntu)
   - The latest version of unity-2d-panel is now supported
      (it's no longer needed to modify config file with root rights or to kill
      a processus to have unity-2d-panel and Cairo-Dock)
   - cairo-dock.conf: fixed a typo (a wrong icon name)
   - initial-setup: no longer modify gconf keys of gnome settings (LP: #981092)
   - cairo-dock.c: initialised gettext before getopt in order to translate
      the output of 'cairo-dock -h'
   - Used the new name of the default theme
   - fixed the retrieval of the desktop background (was broken since the switch
      to GTK3)
   - Use the right web address of the themes' directory on our server.
   - Help.conf: removed lines which only contain 'TODO' and bump Help's version
   - fixed the drawing of multi-lines dialogs (sometime the text was invisible)
   - X manager: when receiving a NetDesktopGeometry signal from X
      notify everybody every time, and also update the number of viewports
   - Welcome message: replaced 'Cairo-Dock2' by 'Cairo-Dock'
  * This 3.0 series (and previous series) also fixes these bugs:
   - "glx-dock does not work with kde 4.8.1" (LP: #961048)
   - "the dock position is wrong when multiple monitor's resolution is different"
      (LP: #905912)
   - "GLX-Dock Hardware acc. UNDO!" (LP: #875975)
   - "Can't disable zoom" (LP: #702800)
   - "all button tips visible if icons 'maximum zoom' set to 1.0" (LP: #618336)
   - "create new sud-dock icon that looking like flat." (LP: #614686)
   - "Add custom launchers or sub-docks, can't modify name." (LP: #612617)
   - "no option in config file to set GL/Cairo mode" (LP: #612355)
   - "if I click on an icon a piece of plane disappears" (LP: #640398)
   - "icon labels go off-screen" (LP: #611733)
   - "Quick-Hide hides the dock forever" (LP: #580596)
   - "Hide when a window is maximized doesn't work if the taskbar is turned off"
      (LP: #580284)
   - "Incorrect Explanation in Help" (LP: #576069)
   - "xinerama:doc in one screen, subdocs in another" (LP: #540979)
   - "Click at the position where icon label was, the icon and dock still
       receive the event" (LP: #537115)
   - "ugly notifications with dialog boxes" (LP: #535083)
   - "Icons are being stacked" (LP: #526466)
   - "Separator not removed when closing grouped windows" (LP: #521369)
   - "dock appears under all windows after a full screen app is run" (LP: #518453)
   - "Icons aren't updated properly on configuring" (LP: #513212)
   - "xsession-errors log" (LP: #500677)
   - "Can't play videos in kaffeine, dragon player, gwenview and smplayer using
      the 'xv' driver after running cairo-dock" (LP: #475375)
   - "A little detail with the magnifier (hard to explain)" (LP: #420417)
  * debian/control:
   - Bump Standards-Version
   - cairo-dock-core: added 'compiz-plugins' as recommended (Compiz's DBus plugin
      can be used to have a better integration with the WM)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 16 Apr 2012 19:52:09 +0200

cairo-dock (3.0.0.0rc1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #961578)
  * Upstream ChangeLog: (main changes)
   - Updated translations
   - Fixed the default theme (wrong sensitivity)
   - Fixed a small regression with the module loader
   - Added a modifier to display a widget in cairo or opengl only
      (an option for poor drivers)
   - Fixed a regression that made incorrect dock size in Parabolic view
      and the rendering of docks
   - Fixed a small bug in the advanced config window and fixed a memory leak
   - Avoid some 'unforseen consequences' when the icon theme changes
   - Copyright: Fixed a few typo with the licences
   - Advanced mode of the config panel: a few tweaks to get a better look
   - Fixed a bug where class container-icons were invisible
   - Added a workaround to fix a bug in Compiz (or X?) where down-sizing
      the screen resolution does not trigger the _NET_DESKTOP_GEOMETRY atom
   - Fixed a possible (although probably very rare) crash case with sub-docks
   - When entering a dock, update correctly the pointed icon to avoid
      animation on the previously pointed icon
   - Take into account the window border to compute the right window
      position and size
   - quick-info: reduce the background size to minimize their surface
   - GTK3: gdk_window_get_pointer and gdk_display_get_pointer functions
      are deprecated
   - GTK3: since the release of GTK 3.3.18, we have to add GDK_SCROLL_MASK
      to be notified with scroll events.
   - data-renderer: ensure the container's window has reached its correct
      size before drawing
   - resize the containers to 1x1 initially, to avoid seeing them before
      a correct size has been set
   - Icons from GTK themes: specify the right icons size in order to not load
      too detailed images for tiny icons sizes
   - Reduced the icon size in the advanced GUI window (32 -> 28)
   - Added cairo_dock_add_path_to_icon_theme and
      cairo_dock_remove_path_from_icon_theme to avoid useless icon loading
   - Handle the case where the icon tries to draw itself before the GL
      context is ready
   - Fixed the server adress in the simple GUI
   - A few code cleaning
   - Fixed a few details and tiny bugs (-> BZR logs)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 21 Mar 2012 21:00:24 +0100

cairo-dock (3.0.0.0beta1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #932041)
  * Upstream (short) ChangeLog:
   - The taskbar has been greatly enhanced.
   - The control of the dock from the keyboard is now very powerful:
    - many shortkeys have been added in different applets
    - you can activate a launcher by pressing a shortkey + its number
    - all shortkeys can now be managed in a single place
       in the configuration window.
   - A new Twitter applet lets you tweet in one click.
   - A new applet to inhibit the screensaver in one click.
   - Cairo-Dock now uses GTK3, for a better integration in a Gnome desktop
   - It's possible to donate to support the project!
   - (...)
  * debian/patches:
   - Removed all previous patches (now in upstream)
  * debian/rules and debian/control:
   - Added multiarch support
  * debian/control:
   - libgtk-3-dev is now needed instead of libgtk2.0-dev
   - libgtkglext1-dev is no longer needed
      (replaced by libgl, libglu and libpango)
   - cairo-dock: increase the version of plug-ins packages
      and added: cairo-dock-plug-ins-dbus-interface-python
   - cairo-dock-dev has been replaced by libgldi-dev
      and dependences have been updated
   - Added a new package (libgldi3) in order to support multiarch
      and to fix this lintian error: package-name-doesnt-match-sonames
  * debian/cairo-dock-core.install and debian/libgldi3.install:
   - libgldi3 package has been added
   - It contains the library used by cairo-dock
   - MultiArch is supported
  * debian/cairo-dock-dev.install and debian/libgldi-dev.install:
   - cairo-dock-dev has been replaced by libgldi-dev
  * Updated debian/watch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 16 Feb 2012 01:08:11 +0200

cairo-dock (2.4.0~2-0ubuntu1) oneiric; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream bug fix release. (LP: #859982)
  * Upstream (short) ChangeLog (2.4.0~0beta2 -> 2.4.0~1):
   - Improved support of the new Gnome 3 session
      (to avoid conflicts with the new Gnome-Panel).
   - Code cleaned and re-organised a few functions
      (e.g. with cairo-dock-overlay, cairo-dock.c, etc.)
   - Updating translations
   - Improved the support of XFCE and LXDE environments
   - Removed invalid launcher desktop files
   - Used a default icon if the path set by the user is wrong
   - Fixed the possibility to sticky a desklet (bug due to a Xorg update)
   - GUI: fixed the list-entry widget
   - Fixed support of the Widget Layer in Compiz >= 0.9
   - Compiz type filter: replaced type=utility by type=Utility
   - Fixed a small refresh bug in cairo mode
      (with icons that are always visible)
   - Improved the placement of icons when avoiding the mouse
      (when something is being dropped onto the dock)
   - Updated the default theme in order to use new applications
   - Gauge implementation: Rewritten to use CairoDockImageBuffer
      and fixed the problem with png images
   - Graphs: Improved the drawing and added more precisions
   - Improved the 'lock' option description
   - GUI simple: fixed a bad update of the parameters
      when switching back to the previous value
   - Fixed the path of the preview for the default view
   - Help: Fixed the problem with tips
   - Default-theme: .conf files: fixed lintian warnings
   - Fixed a few warnings at the compilation
   - Removed a few useless output messages
   - Fixed these LP bugs:
    + Cairo-dock corrupts Kdenlive monitor display LP: #729970
    + Can't play videos in kaffeine LP: #475375
   - And fixed a lot of tiny bugs, please have a look to bzr logs.
  * Upstream (short) ChangeLog (2.4.0~1 -> 2.4.0~2):
   - Fixed a bug with the detection of compiz plugins
   - doc: used the right version
   - Fixed a possible crash with an empty dock LP: #861725
   - FlyingContainer: draw the icon correctly
  * debian/patches:
   - Removed 01-musicPlayer_with_banshee: now in upstream
  * debian/copyright:
   - Updated and fixed lintian warnings: old-fsf-address-in-copyright-file
  * debian/rules and debian/cairo-dock-data.install:
   - Added support of the new Gnome 3 session.
  * debian/control:
   - Fixed lintian warning: description-synopsis-starts-with-article
   - Fixed lintian error: version-substvar-for-external-package
  * debian/cairo-dock-data.lintian-overrides:
   - Removed old warnings (fixed)
   - Added binary-without-manpage (custom scripts used)
  * debian/cairo-dock-core.install and debian/cairo-dock-dev.install:
   - Fixed a lintian warning: non-dev-pkg-with-shlib-symlink
  * debian/patches/01-improved-cairo-dock-session.patch:
   - Improved the launch of our Cairo-Dock session (by removing Unity
      Compiz plugin and by launching the dock with a short delay)
   - Fixed lintian error: shell-script-fails-syntax-check
      (it seems I made wrong manipulation with vim...)
  * debian/patches/02-manpage-not-compressed-with-max-compression.patch:
   - Fixed this lintian error: manpage-not-compressed-with-max-compression

 -- Iain Lane <laney@ubuntu.com>  Tue, 11 Oct 2011 10:53:26 +0100

cairo-dock (2.4.0~0beta2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #823513)
  * Upstream (short) ChangeLog:
   - A new Help applet has been added to help our beloved user.
   - Improved integration in the XFCE and LXDE desktop.
   - Improved the classifying of our files in the source code
      and in share/cairo-dock directory.
   - Launchers and applications now uses the linked .desktop file.
   - Fixed a few bugs as usual
  * debian/patches:
   - Removed 01-default_theme_with_default_apps (now in upstream).
   - Added 01-musicPlayer_with_banshee in order to use Banshee instead
      of Rhythmbox for the default music player.
  * debian/control:
   - Bump Standard-Version to 3.9.2.
   - Removed gawk from the build dependences list (no longer needed).

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 09 Aug 2011 21:39:42 +0200

cairo-dock (2.3.0~3-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #799773)
  * Upstream ChangeLog:
   - Fixed a crash that occurs when the MP applet is in desklet
      mode and applets separated from launchers
      and the music-player is launched. (LP: #797273)
  * debian/patches:
   - Removed 02-mouse-leaves-on-the-edge_upstream-version-2.3.0~2.1.patch
    (now in the upstream release)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 20 Jun 2011 16:55:12 +0200

cairo-dock (2.3.0~2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #786104)
  * Upstream ChangeLog:
   - Fixed a crash that occured when a class sub-dock was destroyed
      (LP: #773280)
   - Fixed a major bug where the dock couldn't re-appear after a
      menu has been triggerd from outside the dock (ie, from a shortcut)
  * debian/patches:
   - Added an upstream's patch to fix an annoying bug when we slowly
      leave the dock with the cursor on the edge of it

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 21 May 2011 21:03:26 +0200

cairo-dock (2.3.0~1-0ubuntu1) natty; urgency=low

  * New Upstream Version (LP: #723994)
  * Upstream short ChangeLog:
   - Updated translations
   - Updated the integration of the new versions of kwin and compiz
   - Updated default theme
   - Fixed a few bugs
   - Updated the man
  * debian/control:
   - Added suggests apps for cairo-dock-core (needed by the default theme)
   - Updated the description (from launchpad.net/cairo-dock)
   - Added cairo-dock-plug-ins as a new suggestion for cairo-dock-core
  * debian/patches:
   - Updated the default theme to use default apps of Ubuntu Natty 
  * Switch to dpkg-source 3.0 (quilt) format
  * Removed the desktop-file-category patch (sync with debian packages)
  * debian/rules:
   - Added a CMake flag to disable the gtk grip
   - No longer used simple-patchsys
  * Updated the debian/watch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 17 Mar 2011 14:08:48 +0100

cairo-dock (2.2.0~4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #653702)
  * Fixed a few bugs:
   - Fixed a random crash if CD is launched much time before the WM
   - Improved the OpenGL backend.
   - Some Images paths were wrong
   - Icon label text was truncated (LP: #611738)
   - Fixed a bug when the font was too big
   - Gauges: Add a line return in order to read all Readme file
   - Dialogues don't respect selected font (LP: #518628)
  * data/help.conf.in:
   - Removed the Gnome-Panel: Used the right gconf key

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 06 Oct 2010 19:23:03 +0200

cairo-dock (2.2.0~2-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #638527)
  * Fixed a few bugs:
   - Third-party applets can be deleted if the user switch to offline
   - Fixed a crash when changing the theme
   - Fixed transparency for data-renderer texts
   - Installed in lib/ directory by default for 64bits architecture
   - Fixed the name of applets in the launchers config panel
   - Fixed address of third-party applets in the menu
   - Code cleaning.
  * Updated Translations
  * debian/patches
   - Updated 01-desktop-file-category.patch (desktop files has changed)
  * data/messages: Removed an useless file
  * Removed a few useless excecution rights.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 18 Sep 2010 14:17:48 +0200

cairo-dock (2.2.0~0rc1-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #632055)
  * Fixed a few bugs on LP:
   - LP: #618336 all button tips visible if icons 'maximum zoom' set to 1.0
   - LP: #614686 create new sud-dock icon that looking like flat
   - LP: #612617 Add custom launchers or sub-docks, can't modify name.
   - LP: #612355 Add option in config file to set GL/Cairo mode            
   - LP: #611733 icon labels go off-screen
  * Fixed a crash when changing theme or gauges
  * Updated translations

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 07 Sep 2010 20:31:25 +0200

cairo-dock (2.2.0~0beta4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #614624)
  * Fixed a few bugs on LP:
   - LP: #518453: Dock appears under all windows
                   (Compiz - fullscreen window)
   - LP: #521369: Separator are not removed when closing
                   grouped windows
   - LP: #521762: Some sentences are not correct
   - LP: #526466: Icons of apps with same class shouldn't
                   be stacked by default
   - LP: #535083: Dialogues looks ugly when a lot of them
                   appears at the same time
   - More details on the 'ChangeLog' file
  * debian/rules:
   - Autotools has been replaced by CMake
   - Man pages are now included in the source code
  * debian/copyright:
   - Updated with the new pathes and new files
  * debian/control:
   - Autotools has been replaced by CMake
   - Added libcurl4-gnutls-dev as Build-deps
   - Bump Standard-Version to 3.9.1
  * debian/cairo-dock-core.install:
   - Man pages are now included in the source code
   - All sonames are now installed into lib32 or lib64
  * debian/cairo-dock-dev.install:
   - pkgconfig is now installed into lib32 or lib64

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 09 Aug 2010 23:26:12 +0200

cairo-dock (2.1.3-10-lucid-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version (LP: #568083).
  * Fixed some bugs:
   - Fixed a important crash when read several xml data
   - LP: #521167 Cairo-dock crashes by theme changing
   - Fixed a bug with desklets buttons
   - Used icons of the system
   - Fixed a bug when removing a container with OpenGL backend
   - Fixed some typo on some define
   - Fixed a little bug in the drag motion
   - Reduced the disk access for SSD disk
  * Used the official Ubuntu Lucid theme.

  [ Iain Lane ]
  * debian/watch: Update to match current upstream version

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 20 Apr 2010 02:44:22 +0200

cairo-dock (2.1.3-6-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version. (LP: #521534)
  * Updated debian/watch and debian/copyright with LP account.
  * Removed debian/patches/02-merge-changelog.patch'
   - data/ChangeLog.txt has to respect a syntax and is used by CD.
  * debian/cairo-dock.1:
   - Updated with the latest release.
   - The domain name 'cairo-dock.org' has changed to 'glx-dock.org'
  * debian/control:
   - Changed the homepage and other links (glx-dock.org)
   - Updated cairo-dock-dev architecture to 'all' (it no longer contains compiled files)
  * debian/cairo-dock-dev.install
   - libcairo-dock.a and libcairo-dock.so no longer exist
  * debian/rules
   - removed uneeded changelog file
  * Updated debian/patches/01-desktop-file-category.patch

  [ Didier Roche ]
  * Fix debian/watch
  * Fix some issue in versionning
  * debian/control: clean the packaging and add right -plugins depends

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 01 Mar 2010 21:24:00 +0100

cairo-dock (2.0.9-0ubuntu1) karmic; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version. (LP: #435587)
  * Added apport hook in debian/apport
   - Add debian/apport
   - debian/cairo-dock-core.install: Added debian/apport/cairo-dock.py
  * Use .desktop provided by upstream
   - Removed debian/*.desktop
   - debian/cairo-dock-core.install: install upstream desktop files. 

  [ Julien Lavergne ]
  * Adjust debian/changelog with Daniel Holbach suggestions.
  * debian/patches/01_rename_cairo-dock-package-theme.patch: drop, 
    merged upstream.
  * debian/patches/01-desktop-file-category.patch:
   - Remove Encoding field and set category to Utility.
  * debian/patches/02-merge-changelog.patch:
   - Merge ChangeLog and ChangeLog-2.0.9.
  * debian/apport: Remove commands with grep, python doesn't like it.

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 04 Oct 2009 16:33:52 +0200

cairo-dock (2.0.8.1-0ubuntu1) karmic; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version.
  * debian/control:
   - Remove cairo-dock as depends for cairo-dock-data
  * Update the man page
  * Rename cairo-dock -> cairo-dock-core
  * Add a new meta-package (cairo-dock) for cairo-dock-core and
    cairo-dock-plug-ins
  * Add licences

  [ Didier Roche ]
  * Repackage to have a separated diff.gz (as debian/ directory is not in
    upstream bz2)
  * debian/rules:
    - install manpage in cairo-dock-core
    - remove uneeded dh_desktop call
  * debian/control:
    - add ${misc:Depends} to cairo-dock to fix lintian warning
    - fix typos and wrong description usage
    - bump Standard-Version to 3.8.3
  * debian/cairo-dock.install: removed
  * debian/cairo-dock-core.install: add destkop file there
  * debian/debian/cairo-dock-data.install: add some missing files and
    renamed cairo-dock-package-theme.sh to cairo-dock-package-theme
  * Add debian/cairo-dock-data.lintian-overrides as plugin config file
    uses a shebang (upstream warned)
  * add debian/patches/01_rename_cairo-dock-package-theme.patch (upstream
    will apply it next time)
  * debian/cairo-dock-dev.install: remove .la file 

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 26 Aug 2009 17:13:42 +0200

cairo-dock (2.0.5-0ubuntu1) karmic; urgency=low

  * New Upstream Version. (LP: #390053)
  * debian/rules: 
   - Drop autoreconf call, it's fixed upstream.
   - Call dh_desktop for all desktop files.
  * debian/control:
   - Add libgtkglext1-dev as depends for cairo-dock-dev.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 20 Jun 2009 23:46:54 +0200

cairo-dock (2.0.3-0ubuntu1) karmic; urgency=low

  [ Andrew Starr-Bochicchio ]
  * New upstream release. (LP: #375125)
  * debian/control: Bump Standards-Version
  * debian/rules: Call autoreconf
   - config.status should create po/stamp-it but does not,
     causing an infinite loop in the build, probably due to 
     upstream using an older version of intltool. Hopefully
     this can be dropped with next release.

  [ Julien Lavergne ]
  * debian/control :
   - Replace libglitz build-depends by libxrender-dev, libxcomposite-dev,
     libgtkglext1-dev and libxinerama-dev.
   - Add missing ${misc:Depends} for cairo-dock-dev.
  * debian/cairo-dock-cairo.desktop
   - New desktop file to launch the non-OpenGL version.
  * debian/cairo-dock-data.install :
   - Add new directorie usr/share/pixmaps
   - update to install both desktop files. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 03 Jun 2009 20:39:11 -0400

cairo-dock (1.6.3.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #297809).
  * debian/cairo-dock-data.install:
   - Update to new upstream installation.
  * debian/copyright
   - Update copyright of new files.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Thu, 13 Nov 2008 22:04:19 +0100

cairo-dock (1.6.2.3-0ubuntu2) jaunty; urgency=low

  * debian/control:
   - Recommends xdotool (LP: #292864).
  * debian/cairo-dock.desktop:
   - Add a desktop file.
  * debian/cairo-dock.install: 
   - Install the .desktop file. (LP: #296095).
  * debian/rules:
   - Register the desktop file.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 11 Nov 2008 00:35:44 +0100

cairo-dock (1.6.2.3-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * debian/control
   - Update to 3.8.0 (no change needed).
   - Add libxtst-dev as Build-Depends.
  * debian/cairo-dock-data.install
   - Add usr/share/cairo-dock/emblems directory.
  * debian/watch
   - Update location.
  * debian/rules
   - Add a get-orig-source rule.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 14 Sep 2008 16:26:12 +0200

cairo-dock (1.5.5.3-repack0-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #134091)
  * Repack original tarball to pack only cairo-dock and generate configure.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 04 May 2008 17:16:20 +0200
